PIX-RLE
1
BRL-CAD
BRL-CAD

# pix-rle

convert RGB pixel format image to Utah Raster Toolkit run-length encoded

      pix-rle
        -C r/g/b
        -s square_file_size
        -w file_width
        -n file_height
        file.pixfile.rle

## DESCRIPTION

`pix-rle` decodes a pix 5 format file, converts it into a Utah Raster Toolkit Run-Length Encoded (RLE) format file format, and writes it to standard out. If file.pix is not specified, standard input is read.

`-C` r/g/b

  This option permits the user to specify a background color as slash separated decimal numbers in the range of 0 to 255, one each for the red, green, and blue channels.

file.pix

  Name of file to decode, in pix format.

file.rle

  Optional name of file to store RLE image in.

## EXAMPLE

     pix-rle  tank.pix   tank.rle

## SEE ALSO

brlcad 1, fb-rle 1, fb-rle 1, pix-fb 1, rle-pix 1, pix 5.

## AUTHOR

Michael John Muuss

## COPYRIGHT

This software is Copyright (c) 1991-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.